Package: org.codehaus.groovy.grails.web.converters

## [Groovy] Class AbstractParsingParameterCreationListener

- org.codehaus.groovy.grails.web.converters.AbstractParsingParameterCreationListener

- All Implemented Interfaces and Traits:
    ParameterCreationListener

      abstract class AbstractParsingParameterCreationListener
      extends java.lang.Object

  Abstract base class for parameter creation listeners that parse incoming data such as JSON and XML.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.lang.Object` | `createFlattenedKeys(java.util.Map root, java.util.Map current, java.util.Map target, java.lang.Object prefix = '', java.util.Map previousParent = null)` Populates the target map with current map using the root map to form a nested prefix so that a hierarchy of maps is flattened.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### protected java.lang.Object createFlattenedKeys(java.util.Map root, java.util.Map current, java.util.Map target, java.lang.Object prefix = '', java.util.Map previousParent = null)

      Populates the target map with current map using the root map to form a nested prefix so that a hierarchy of maps is flattened.